Bug 165551 - Review Request: perl-Number-Compare
Summary: Review Request: perl-Number-Compare
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review   
(Show other bugs)
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Paul Howarth
QA Contact: David Lawrence
URL: http://search.cpan.org/dist/Number-Co...
Whiteboard:
Keywords:
Depends On:
Blocks: FE-ACCEPT 165564
TreeView+ depends on / blocked
 
Reported: 2005-08-10 12:51 UTC by Ralf Corsepius
Modified: 2007-11-30 22:11 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-08-17 07:32:27 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Ralf Corsepius 2005-08-10 12:51:11 UTC
Spec Name or Url: ftp://packman.iu-bremen.de/fedora/SRPMS/perl-Number-Compare.spec
SRPM Name or Url: ftp://packman.iu-bremen.de/fedora/SRPMS/perl-Number-Compare-0.01-2.src.rpm
Description: 
Number::Compare compiles a simple comparison to an anonymous subroutine,
which you can call with a value to be tested again.

Comment 1 Oliver Falk 2005-08-10 13:30:05 UTC
Looks fine. Once again, sure about the license? Shouldn't it be just 'Artistic'?

Comment 2 Paul Howarth 2005-08-10 13:32:50 UTC
The documentation in the package ("man Number::Compare" if you've installed it)
states:

"This module is free software; you can redistribute it and/or modify it under
the same terms as Perl itself"

So it's "Artistic or GPL", the same as perl itself.

Comment 3 Ralf Corsepius 2005-08-10 13:40:21 UTC
Hmm? May I cite my spec file (line 5):
...
License:        Artistic or GPL
...

Comment 4 Paul Howarth 2005-08-10 13:59:16 UTC
Re: Comment #3, I agree with you - it was Comment #1 I was addressing.


Comment 5 Oliver Falk 2005-08-10 14:13:30 UTC
OK, then from my side, it's OK.

Comment 6 Jose Pedro Oliveira 2005-08-10 14:45:59 UTC
Just a minor note:

The following line
  find $RPM_BUILD_ROOT -type f -name '*.bs' -a -size 0 -exec rm -f {} ';'
is not needed for noarch packages.

Everything else looks good.

Comment 7 Paul Howarth 2005-08-12 17:25:05 UTC
Review:

- rpmlint clean
- package/spec follows naming guidelines
- package follows packaging guidelines
- license is OK - same as perl
- spec file is in English and is perfectly legible
- source matches upstream
- build fine in mock for -devel (i386)
- no explicit BRs
- no locales, libraries, headers, pkgconfigs, subpackages to worry about
- not relocatable
- directory ownership OK
- no duplicate files
- file permissions OK
- %clean present and correct
- macro usage is consistent
- code, not content
- no large docs
- manpage does not affect running of package
- package appears to work

Would suggest adding to %description:
Now this would be very pointless, if Number::Compare didn't understand
magnitudes.

The target value may use magnitudes of kilobytes (k, ki), megabytes (m, mi),
or gigabytes (g, gi). Those suffixed with an i use the appropriate 2**n
version in accordance with the IEC standard:
http://physics.nist.gov/cuu/Units/binary.html


Please also note Comment #6 re empty .bs files.

Approved.


Note You need to log in before you can comment on or make changes to this bug.